;------------------------------------------------------------------------------
; File Name :      eep.asm
;------------------------------------------------------------------------------
;      Copyright: Eugene M. Hutorny  2006
;      Revision:  V1.00
;      Date:      Nov 13, 2006
;      License:   Licensed to public under the Open Software License 
;                 http://www.opensource.org/licenses/osl-3.0.php
;------------------------------------------------------------
;
; ----------------------------------------------------------
; EEPROM public primitives
; ----------------------------------------------------------

#define __eep_inc

 ifdef EEADR
EEP_mRead macro ; byte EEP_mRead(void * near W)
    _pic_bankinit
    _pic_banksel EEADR
    movwf        EEADR
    ifdef EEPGD
    _pic_banksel EECON1
    bcf       EECON1, EEPGD
    endif
    _pic_banksel EECON1
	bsf 	    EECON1, RD 	; EE Read	
    _pic_banksel EEDATA
	movfw 	    EEDATA   	; W = EEDATA
  endm
 endif
